# Uses of Class
ch.qos.logback.core.net.ssl.TrustManagerFactoryFactoryBean

Packages that use TrustManagerFactoryFactoryBean
Package
Description
ch.qos.logback.core.net.ssl
Contains classes that create and configure a JSSE SSLContext needed for secure transport of logging events by SSLSocketAppender.

## Uses of TrustManagerFactoryFactoryBean in ch.qos.logback.core.net.ssl

Methods in ch.qos.logback.core.net.ssl that return TrustManagerFactoryFactoryBean
Modifier and Type
Method
Description
`TrustManagerFactoryFactoryBean`
SSLContextFactoryBean.`getTrustManagerFactory()`
Gets the trust manager factory configuration.
Methods in ch.qos.logback.core.net.ssl with parameters of type TrustManagerFactoryFactoryBean
Modifier and Type
Method
Description
`void`
SSLContextFactoryBean.`setTrustManagerFactory(TrustManagerFactoryFactoryBean trustManagerFactory)`
Sets the trust manager factory configuration.